#ifndef _TARTNEBULAPARAMETERS_H_
#define _TARTNEBULAPARAMETERS_H_

#include <TNamed.h>
#include <TList.h>

#include <map>

class TXMLNode;
class TArtNEBULAPlaPara;
class TArtRIDFMap;
class TArtStoreManager;
typedef std::map<TArtRIDFMap, const TArtNEBULAPlaPara*> TArtNEBULAPlaParaMap;
typedef std::pair<TArtRIDFMap, const TArtNEBULAPlaPara*> TArtNEBULAPlaParaPair;

class TArtNEBULAParameters : public TNamed
{
public: 
  TArtNEBULAParameters(const char* name = "NEBULAParameters", 
		       const char* title = "NEBULAParameters");
  ~TArtNEBULAParameters();

  Bool_t LoadParameter(const char *xmlfile);

  const TArtNEBULAPlaPara* FindNEBULAPlaPara(const TArtRIDFMap &rmap) const;
  const TArtNEBULAPlaPara* FindNEBULAPlaPara(int id, TString udlr) const;//find by id and udlr

private:
  void ParseParaList(TXMLNode* node);
  TArtNEBULAPlaPara* ParseNEBULAPlaPara(TXMLNode* node);

  TArtNEBULAPlaParaMap* pmap;

  TArtStoreManager* fStoreManager;

  ClassDef(TArtNEBULAParameters,1);
};

#endif
