#ifndef _TARTNEBULAPLA_H_
#define _TARTNEBULAPLA_H_

#include "TObject.h"
#include "TString.h"

#include <iostream>

class TArtNEBULAPla : public TObject
{
public:
  TArtNEBULAPla()
    : TObject(), fDataState(0), fIHitMin(0),
      fID(-1), fName(""), fFPl(-1), fLayer(-1), fSubLayer(-1),
      fRawTU(-1), fRawTD(-1), fRawQU(-1), fRawQD(-1), fTime(-1), fEnergy(-1)
  {
    fPos[0] = -1000;
    fPos[1] = -1000;
    fPos[2] = -1000;
  }
  virtual ~TArtNEBULAPla(){;}

  virtual void SetDataState(int val){fDataState = val;}
  virtual void SetIHitMin(int val){fIHitMin = val;}
  virtual int GetDataState() const {return fDataState;}
  virtual int GetIHitMin() const {return fIHitMin;}

  virtual void SetID(int val){fID = val;}
  virtual void SetDetectorName(const TString& val){fName = val;}
  virtual void SetFPl(int val){fFPl = val;}
  virtual void SetLayer(int val){fLayer = val;}
  virtual void SetSubLayer(int val){fSubLayer = val;}
  virtual void SetPos(const Double_t val[3])
  {for(int i=0; i<3; ++i){fPos[i] = val[i];}}
  virtual void SetRawTU(int val){fRawTU = val;}
  virtual void SetRawTD(int val){fRawTD = val;}
  virtual void SetRawQU(int val){fRawQU = val;}
  virtual void SetRawQD(int val){fRawQD = val;}
  virtual void SetEnergy(Double_t val){fEnergy = val;}
  virtual void SetTime(Double_t val){fTime = val;}

  virtual int GetID() const {return fID;}
  //  virtual const TString& GetUDLR() const {return fUDLR;}
  virtual const TString& GetDetectorName() const {return fName;}
  virtual int GetFPl() const {return fFPl;}
  virtual int GetLayer() const {return fLayer;}
  virtual int GetSubLayer() const {return fSubLayer;}
  virtual const Double_t* GetPos() const {return fPos;}
  virtual Double_t GetPos(int i) const {return fPos[i];}
  virtual int GetRawTU() const {return fRawTU;}
  virtual int GetRawTD() const {return fRawTD;}
  virtual int GetRawQU() const {return fRawQU;}
  virtual int GetRawQD() const {return fRawQD;}
  virtual Double_t GetEnergy() const {return fEnergy;}
  virtual Double_t GetTime() const {return fTime;}

private:
  // fDataState<0:invalid, fDataState==0:initial, fDataState>0:valid
  int fDataState;
  int fIHitMin;

  int fID;
  TString fName;
  int fFPl;
  int fLayer;  
  int fSubLayer;  
  Double_t fPos[3];

  int fRawTU;  
  int fRawTD;  
  int fRawQU;  
  int fRawQD;  

  Double_t fTime;  
  Double_t fEnergy;  

  ClassDef(TArtNEBULAPla,1);

};
#endif

